GNU Radio's TEST Package

Static Public Member Functions | List of all members
osmosdr::device Class Reference

`#include <device.h>`

Inheritance diagram for osmosdr::device:

## Static Public Member Functions
static devices_t | find (const device_t &hint=osmosdr::device_t())
| Find logical radio devices attached to the host. More...

## Detailed Description

The device interface represents the underyling hardware. The api allows for discovery, configuration, and streaming.

## Member Function Documentation

## ◆ find()

static devices_t osmosdr::device::find | ( | const device_t & | hint = `osmosdr::device_t()` | ) |
| static

Find logical radio devices attached to the host.

The device hint should be used to narrow down the search to particular transport types and/or transport arguments.

The device hint "nofake" switches off dummy devices created by "file" (and other) implementations.

Parameters

  hint | a partially (or fully) filled in logical device

Returns
  a vector of logical devices for all radios on the system

The documentation for this class was generated from the following file:

- device.h